Page MenuHomePhabricator

editsection and floating issue with vector skin at ckb.wikipedia
Closed, ResolvedPublic

Description

Author: marmzok

Description:
Hi
First of all, I'm not sure about if I make bug in right place or not; if not, please guide me.
ckb.wikipedia has not moved to beta yet, and we don't know why.
But I have experienced beta for more than one month, and there is no problem about that (Beta and Mono skin). But about VECTOR skin, there are some problems:
By default image will set in right, that should be in left(we use Arabic script rtl); and when i add "left" to image tag, nothing change; funny is that when I add right, image moves to left!!!!
The other problem is about "edit" link above every section; we use Arabic script and regarding that edit link should be set in left, something like that in English:

section title..........................[edit]
but in vector we have:
[edit]section title..........................


Version: unspecified
Severity: normal
OS: Windows 7
URL: http://ckb.wikipedia.org

Details

Reference
bz24901

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:04 PM
bzimport added a project: MediaWiki-Interface.
bzimport set Reference to bz24901.
bzimport created this task.Aug 22 2010, 9:16 AM

marmzok wrote:

May I make a change in Vector.css?
Have you received this issue?

The edit links line up just fine for me at http://ckb.wikipedia.org/wiki/%DA%BE%DB%8E%D9%85%D9%86_%D9%85%D9%88%DA%A9%D8%B1%DB%8C%D8%A7%D9%86%DB%8C . Does this happen when you are logged out? Maybe it's your user CSS or some gadget that's messing things up.

marmzok wrote:

Dear Roan, we had those problems that I mentioned above. But I made these changes:
http://ckb.wikipedia.org/w/index.php?title=MediaWiki%3AVector.css&action=historysubmit&diff=40665&oldid=40334
and. Right now the problem for editsection has solved, and about pictures, their flotation is correct but I think text is very close to pics. If you dont mind please check it and if correction was needed do it. Thank a lot.

(In reply to comment #3)

If you dont
mind please check it and if correction was needed do it. Thank a lot.

Looks good.

These issues are fixed in trunk as well, closing bug.

I have no idea which revisions fixed this, but said revision is at least still not deployed and I just got another help request on en.wikipedia from a rtl user, this time from dv.wikipedia.org (Gave him tips on how to do this in his MediaWiki:Vector.css.

I advise deploying whatever revision fixes this.

Restricted Application added a project: I18n. · View Herald TranscriptJun 2 2015, 2:20 PM